#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, q, l, r, x;
    cin >> n;
    int A[n];
    for(int i = 0; i < n; i++){
        cin >> A[i];
    }
    cin >> q;
    for(int i = 0; i < q; i++){
        cin >> l >> r;
        x = 0;
        if(l == r){
            cout << "DA" << "\n";
         }
         else{
            for(int j = l; j < r; j++){
                if(A[j] < A[j-1]){
                    if(x >= 1){
                        cout << "NE" << "\n";
                        break;
                    }
                    else{
                        x++;
                    }
                }
                if(j == r-1){
                    cout << "DA" << "\n";
                }
            }
        }
    }
    return 0;
}